Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util
Class CommandLine

    java.lang.Object
      com.servingxml.util.CommandLine

    public class CommandLine

extends java.lang.Object

Nested Class Summary
`static class` | `CommandLine.Arg`
`static class` | `CommandLine.ParameterCommand`

Constructor Summary
`CommandLine()`
`CommandLine(java.lang.String[] args)`

Method Summary
`java.lang.String` | `getOption(java.lang.String option)`
`java.lang.String` | `getParameterValue(java.lang.String name)`
`java.util.List<java.lang.String>` | `getParameterValueList(java.lang.String name)`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`boolean` | `isOption(char option)`
`boolean` | `isOption(java.lang.String option)`
`java.util.Iterator` | `iterator()`
`java.util.Set<java.lang.String>` | `parameterNameSet()`
`void` | `toEveryArgument(CommandLine.ParameterCommand command)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLine

    public CommandLine(java.lang.String[] args)

### CommandLine

    public CommandLine()

Method Detail

### toEveryArgument

    public void toEveryArgument(CommandLine.ParameterCommand command)

### parameterNameSet

    public java.util.Set<java.lang.String> parameterNameSet()

### iterator

    public java.util.Iterator iterator()

### getOption

    public java.lang.String getOption(java.lang.String option)

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

### getParameterValueList

    public java.util.List<java.lang.String> getParameterValueList(java.lang.String name)

### getParameterValue

    public java.lang.String getParameterValue(java.lang.String name)

### isOption

    public boolean isOption(java.lang.String option)

### isOption

    public boolean isOption(char option)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD